ICP备案查询
GET
网络工具
查询域名ICP备案信息,返回主办单位名称、单位性质、备案号、审核时间。未备案域名返回 has_icp=false。
GET
https://api.tinyaii.cn/v1/domain/icp
请求参数
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| web | string | 必填 | 要查询的域名(不带 http/https 协议前缀) | baidu.com |
返回字段
| 字段 | 类型 | 说明 |
|---|---|---|
| domain | string | 查询的域名 |
| has_icp | bool | 是否已备案(true=已备案,false=未备案) |
| total | int | 备案记录总数(未备案时无此字段) |
| records | array | 备案记录列表(未备案时为空数组) |
| records[].domain | string | 备案域名 |
| records[].unitName | string | 主办单位名称(公司名或个人姓名) |
| records[].natureName | string | 主办单位性质(企业 / 个人 / 政府 / 事业单位 等) |
| records[].serviceLicence | string | ICP备案号(如:京ICP证030173号-1) |
| records[].updateTime | string | 最近审核通过时间 |
返回示例
{
"code": 200,
"message": "success",
"data": {
"domain": "baidu.com",
"has_icp": true,
"total": 1,
"records": [
{
"domain": "baidu.com",
"unitName": "北京百度网讯科技有限公司",
"natureName": "企业",
"serviceLicence": "京ICP证030173号-1",
"updateTime": "2019-05-16 16:06:21"
}
]
}
}
调用示例
curl "https://api.tinyaii.cn/v1/domain/icp?web=baidu.com" \
-H "Authorization: Bearer YOUR_API_KEY"const res = await fetch("https://api.tinyaii.cn/v1/domain/icp?web=baidu.com", {
headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());import requests
resp = requests.get(
"https://api.tinyaii.cn/v1/domain/icp",
params={"web": "baidu.com"},
headers={"Authorization": "Bearer YOUR_API_KEY"},
timeout=10,
)
print(resp.json())把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。